package org.iotivity.bridge.homeserver.handler.client;

import android.util.Log;
import android.util.Pair;

import org.iotivity.OCClientResponse;
import org.iotivity.OCResponseHandler;
import org.iotivity.OCStatus;
import org.iotivity.bridge.homeserver.BridgeService;
import org.iotivity.bridge.homeserver.utils.Utils;
import org.iotivity.oc.OcRemoteResource;

import java.util.ArrayList;

public class GetResponseHandler implements OCResponseHandler {

    private static final String TAG = GetResponseHandler.class.getSimpleName();

    private BridgeService service;
    private OcRemoteResource resource ;

    public GetResponseHandler(BridgeService service, OcRemoteResource resource) {
        this.service = service ;
        this.resource = resource ;
    }

    @Override
    public void handler(OCClientResponse response) {
        service.msg("Get "+resource.getUri()+" Response Handler: Code = "+response.getCode().toString());
        if(response.getCode() != OCStatus.OC_STATUS_OK) {
            service.printLine();
            return;
        }

        final ArrayList<Pair<String, Object>> props = ResponseParsingHelper.parseClientResponse(response, service);
        Log.d(TAG, "Properties : " + Utils.propertiesToString(props));

        // TODO : notify response data to IRemoteService Client Callback
    }
}
