package org.iotivity.bridge.homeserver.handler.client;

import org.iotivity.OCClientResponse;
import org.iotivity.OCResponseHandler;
import org.iotivity.OCStatus;
import org.iotivity.bridge.homeserver.BridgeServerActivity;
import org.iotivity.bridge.homeserver.BridgeService;
import org.iotivity.bridge.homeserver.model.Light;
import org.iotivity.oc.OcRemoteResource;

public class PostResponseHandler implements OCResponseHandler {

    private static final String TAG = PostResponseHandler.class.getSimpleName();

    private BridgeService service ;
    private OcRemoteResource resource ;

    public PostResponseHandler(BridgeService service, OcRemoteResource resource) {
        this.service = service;
        this.resource = resource ;
    }

    @Override
    public void handler(OCClientResponse response) {
        service.msg("POST "+resource.getUri()+" Response Handler: Code = "+response.getCode().toString());
        if(response.getCode() != OCStatus.OC_STATUS_CHANGED && response.getCode() != OCStatus.OC_STATUS_CREATED) {
            service.printLine();
            return;
        }

    }
}
